﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Reflection;

namespace X.FCKeditor
{
    internal sealed partial class FormCustomConfigurationEditor : Form
    {
        public FormCustomConfigurationEditor()
            : this(string.Empty)
        {
        }
        public FormCustomConfigurationEditor(string config)
        {
            InitializeComponent();
            textBoxCustom.Text = config;
            Icon = new Icon(typeof(FCKeditor), "FCKeditor.ico");
        }

        public string CustomConfiguration
        {
            get
            {
                return textBoxCustom.Text;
            }
            set
            {
                textBoxCustom.Text = value;
            }
        }
    }
}